Bug Hunting Session
Bug 93325 - rendercontext: animgifs are painted directly
Summary: rendercontext: animgifs are painted directly
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.1.0 target:5.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-10 13:41 UTC by Miklos Vajna
Modified: 2016-10-25 19:23 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Reproducer document (15.00 KB, application/vnd.oasis.opendocument.text)
2015-08-10 13:41 UTC, Miklos Vajna
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Miklos Vajna 2015-08-10 13:41:28 UTC
Created attachment 117809 [details]
Reproducer document

If LO is started with the VCL_DOUBLEBUFFERING_AVOID_PAINT=1 VCL_DOUBLEBUFFERING_FORCE_ENABLE=1 enivonrment variables, nothing should show up on the screen, but the attached bugdocument's animgif does, which shows that it's still painted directly.
Comment 1 Commit Notification 2015-08-10 14:32:42 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=131d5b01f400899470925757658841080b09283a

tdf#93325 ImplAnimView: handle rendercontext

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2015-08-10 16:24:51 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cd064472ce4ff9d1dd6720c32fde22f36eb232f4

tdf#93325 ImplAnimView rendercontext: stop painting animgifs directly

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2015-08-11 14:04:20 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c5551a6a9ed7dbeb15cda52f0de0a5113f5c1551&h=libreoffice-5-0

tdf#93325 ImplAnimView rendercontext: stop painting animgifs directly

It will be available in 5.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.